Subject: bug#64619: [PATCH] Add toggle-window-dedicated command

From: Gregory Heytings <[email-masked]>
Date: Sun, 20 Aug 2023 09:56:06 +0000

>
> A user who didn't customize switch-to-buffer-in-dedicated-window does 
> not necessarily want his/her dedicated windows to be strongly dedicated 
> by default.  Which is why one of the alternatives I suggested is to use 
> the value of that variable as the indication which kind of dedication to 
> use by default.
>

That wouldn't really work, alas.  The mapping would be:

switch-to-buffer-in-dedicated-window t => weakly dedicated

switch-to-buffer-in-dedicated-window non-t => strongly dedicated

Weakly dedicating a window when switch-to-buffer-in-dedicated-window is t 
is not really useful.  And the default value of 
switch-to-buffer-in-dedicated-window is nil, so the default would be 
strongly dedicated anyway.